The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги | ]

06.04.2011 19:56  Вышла бета-версия Skype 2.2 для Linux

Представлена версия Skype 2.2 для Linux, получившая статус бета-выпуска. Skype для Linux поддерживает осуществление VoIP-звонков, обмен текстовыми сообщениями, отправку SMS, организацию видеочата, создание конференций, обмен файлами, перенаправление звонков на телефонный номер, организацию совместного доступа к рабочему столу или его части.

Ключевые новшества:

  • Поддержка сервиса Skype Access, позволяющего осуществлять звонки через полмиллиона коммерческих точек доступа WiFi по всему миру, используя поминутную оплату через кошелёк Skype Credit (оплачивается только время разговора по Skype);
  • Поддержка режима ожидания вызова и удержания звонка. Возможность одновременной обработки нескольких вызовов: если в момент разговора приходит второй звонок, то пользователь может временно отложить первый разговор и ответить на второй звонок или объединить два звонка в конференцию;
  • Расширены возможности интерфейса пользователя, добавлены некоторые элементы, ранее присутствующие только в версиях Skype-клиента для Windows и Mac OS X. Например, поддержка перетаскивания контактов мышью для инициирования звонка, переработка диалога поиска контактов, упрощение организации конференц-вызовов, одновременное перетаскивание нескольких контактов в группу, добавление кнопки инициирования звонка в окно чата, улучшение юзабилити при цитировании текстового сообщения, улучшение функции копирования текста при обмене сообщениями, поддержка визуальной темы KDE Oxygen;
  • Увеличение качества и надежности передачи звука и видео;

Полный список улучшений (перевод Zenittur):

  • Звонки:
    • Отключен звук звонка во время конференц-связи
    • Добавлена функция "быстрой конференции" (Easy conference) с помощью Skype-ссылок
    • Вызов с помощью Drag and Drop
    • Поддержка функций ожидания и удержания вызовов

    Видеозвонки:

    • Обновление списка подключенных видеоустройств во время работы программы
    • Правильное определения соотношения экрана для получаемого видео в оконном и в полноэкранном режиме
  • Чат:
    • Добавлена кнопка "Позвонить"
    • Улучшена функция цитирования
    • Для выпадающего списка "Загрузить предыдущую историю чата" добавлены кнопки "Последние 6 месяцев" и "Последний год"
  • Список контактов:
    • Drag and Drop контактов, в том числе нескольких контактов в группу контактов
    • Добавлены кнопки "Показать/скрыть содержимое экрана" при просмотре чужого профиля пользователя
    • Добавлена строка "Последнее посещение" при просмотре чужого профиля
  • Остальные нововведения:
    • Skype Access - возможность пользоваться платными точками доступа Wi-Fi, поддерживающими оплату через Skype
    • Регистрация нового имени: подсказка о том, почему выбранный пароль является неправильным, в процессе набора пароля, а не после нажатия на кнопку "Готово"
    • Комбинация клавиш для разворачивания видео с камеры на полный экран.
    • Смена статуса с помощью значка в системном трее не спрятана в подменю
    • Поддержка нескольких идентификаторов (ID) для отправки SMS-сообщений в настройках
    • Улучшена проверка подлинности номера отправителя SMS
    • Добавлен небольшой логотип в настройках звука для пользователей PulseAudio, настраивающих звук вне программы Skype
    • Улучшен диалог выбора страны при наборе номера
  • Неисправленные проблемы:
    • Невозможно установить в ubuntu 11.04 beta 1. Решение.
    • После нажатия на "Сменить учётную запись" возвращение в неё приводит к завершению работы программы. Решения нет.
    • В Debian на архитектуре amd64 программа аварийно завершает работу с ошибкой "Inconsistency detected by ld.so: dl-open.c: 623: \_dl_open: Assertion `_dl_debug_initialize (0, args.nsid)->r_state == RT_CONSISTENT' failed\!" Причина в иерархии 32-битных библиотек, недостаток в которой есть только в Debian. 32-битные библиотеки PulseAudio устанавливаются даже тогда, когда сама программа не установлена. Решение: "sudo chmod a-r /usr/lib32/libpulse*"
    • На некоторых 64-битных системах не отображаются аватары пользователей из-за отсутствия необходимого 32-битного плагина Qt 4. Решение: доустановить недостающие 32-битные библиотеки.
    • Зелёный либо чёрный квадрат вместо видео с веб-камеры. Решение: установка libv4l и запуск skype специфичной командой "LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so skype". Можно отредактировать ярлык запуска, либо создать скрипт.
    • Ошибка "Failed to query UVC control" и невозможность работы с веб-камерами Logitech. Решение. Для Logitech Quickcam Messenger здесь.

Для работы Skype необходимо наличие Qt 4.4.0, D-Bus 1.0.0, libasound2 1.0.18, опционально PulseAudio 0.9.16 и BlueZ 4.0.0, 32-битная совместимость (для x86_64). Требование к системе: CPU от 1 Ghz, 256 Мб ОЗУ, 100 Мб свободного места на диске, звуковая карта, видеодрайвер с поддержкой акселерации проигрывания видео Xv (X-Video). Готовые пакеты подготовлены для Ubuntu 10.04+ (32 и 64-битные сборки), Debian Lenny и Squeeze (32 и 64-битные сборки), Fedora 13+, OpenSUSE 11+.

  1. Главная ссылка к новости (http://blogs.skype.com/linux/2...)
  2. OpenNews: В рамках проекта GNU Free Call создается свободная замена Skype
  3. OpenNews: Компания Skype открыла исходные тексты аудиокодека SILK
  4. OpenNews: Вышла вторая бета-версия Skype 2.1 для Linux
  5. OpenNews: Представлены результаты обратного инжиниринга метода шифрования Skype
  6. OpenNews: Представлен SkypeKit, комплект для встраивания Skype в сторонние продукты
Лицензия: CC-BY
Тип: Программы
Ключевые слова: Skype, voip
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение Ajax/Линейный | Раскрыть все сообщения | RSS
 
  • 1.1, vovans (ok), 20:51, 06/04/2011 [ответить] [показать ветку] [···]    [к модератору]
  • –2 +/
    > невозможность установки в Ubuntu 11.04 Beta 1

    о как (((

    Надеюсь, поправят скоро!

     
     
  • 2.10, Конкере (ok), 21:11, 06/04/2011 [^] [ответить]    [к модератору]
  • +1 +/
    Как невозможно? Я только что поставил <_<
     
     
  • 3.16, Аноним (-), 21:26, 06/04/2011 [^] [ответить]     [к модератору]
  • +1 +/
    в известных проблемах по поводу невозможности установки в Ubuntu 11 04 указан эт... весь текст скрыт [показать]
     
  • 2.14, paulus (ok), 21:17, 06/04/2011 [^] [ответить]    [к модератору]  
  • –2 +/
    только что поставил 64-битную потделку и даже работает...
     
  • 1.2, Vitto74 (ok), 20:52, 06/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • –8 +/
    Они же вроде перестали поддерживать Linux или я что-то пропустил?
     
     
  • 2.18, alltiptop (ok), 21:27, 06/04/2011 [^] [ответить]    [к модератору]  
  • +8 +/
    Да, не верь хабру.
     
     
  • 3.42, TiGR (?), 10:20, 07/04/2011 [^] [ответить]    [к модератору]  
  • +/
    Почему же? Там же ясно было написано: http://habrahabr.ru/blogs/skype/109353/#comment_3472400
     
     
  • 4.50, alltiptop (ok), 15:10, 07/04/2011 [^] [ответить]    [к модератору]  
  • +1 +/
    Когда врут тоже говорят ясно и с подробностями, дабы не оставить у обманутого сомнений в своей правоте.
     
  • 1.3, Аноним (-), 20:53, 06/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +1 +/
    Не заметил, что в KDE с Oxygen некорректно отображается.
     
  • 1.4, Аноним (-), 20:55, 06/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    ура, но только как был 32битный так и остался...
     
     
  • 2.6, Аноним (-), 20:59, 06/04/2011 [^] [ответить]    [к модератору]  
  • –3 +/
    из-за него держу 32-бит систему(
     
     
  • 3.12, ShturmN (ok), 21:12, 06/04/2011 [^] [ответить]    [к модератору]  
  • +3 +/
    Зачем? У меня 64бита система. Нормально работает...
     
     
  • 4.30, pavlinux (ok), 22:49, 06/04/2011 [^] [ответить]    [к модератору]  
  • –1 +/
    Ага... :)
     
  • 3.20, phaoost (ok), 21:40, 06/04/2011 [^] [ответить]    [к модератору]  
  • +/
    поставь статическую или в чрууте
     
     
  • 4.31, pavlinux (ok), 22:49, 06/04/2011 [^] [ответить]    [к модератору]  
  • +/
    > поставь статическую или в чрууте

    Ага :)

     
  • 3.39, Карбофос (ok), 10:10, 07/04/2011 [^] [ответить]     [к модератору]  
  • +/
    вы можете установить либы в отдельном директории и сделать для вызова skype скри... весь текст скрыт [показать]
     
  • 1.5, Иван Иванович Иванов (?), 20:58, 06/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +2 +/
    И до сих пор нет 64 битной версии. Чтоб их.
     
     
  • 2.13, paulus (ok), 21:15, 06/04/2011 [^] [ответить]    [к модератору]  
  • +/
    skype-ubuntu_2.2.0.25-1_amd64.deb зависит от lib32... ну и каким боком он 64-битный?
     
     
  • 3.17, Zenittur (?), 21:26, 06/04/2011 [^] [ответить]    [к модератору]  
  • +/
    Это не 64-битная версия.

    file skype
    skype: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.8, stripped

     
  • 2.40, Карбофос (ok), 10:11, 07/04/2011 [^] [ответить]    [к модератору]  
  • +/
    это из-за обфускации
     
     
  • 3.47, Иван Иванович Иванов (?), 13:21, 07/04/2011 [^] [ответить]    [к модератору]  
  • +/
    Скорее лени и того факта, что pure 64bit версии Windows до сих пор не существует (и не будет в ближайшие лет 10).
     
  • 1.7, Аноним (-), 21:00, 06/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    > проблемы при использовании web-камер Logitech

    Что конкретно подразумевается? А то есть у меня одна проблема, не пойму, это проблема Skype или опенсорц-видеодров.

     
     
  • 2.9, GreatKir (?), 21:09, 06/04/2011 [^] [ответить]    [к модератору]  
  • +/
    http://www.quickcamteam.net/documentation/faq/logitech-webcam-linux-usb-incom речь идёт об этом
     
     
  • 3.19, Аноним (-), 21:28, 06/04/2011 [^] [ответить]     [к модератору]  
  • +/
    Затрудняюсь сказать, моя ли это проблема Суть такова - видео с моей чужой ка... весь текст скрыт [показать]
     
     
  • 4.24, Frank (ok), 22:00, 06/04/2011 [^] [ответить]    [к модератору]  
  • +/
    включи компиз
     
     
  • 5.28, Аноним (-), 22:31, 06/04/2011 [^] [ответить]    [к модератору]  
  • +/
    Это костыль. :)
     
  • 4.56, Aqueelone (?), 18:01, 08/04/2011 [^] [ответить]    [к модератору]  
  • +/
    Там есть две версии -- версия с поддержкой d-bus решает это.
     
  • 2.41, Карбофос (ok), 10:17, 07/04/2011 [^] [ответить]    [к модератору]  
  • +/
    на стрых ядрах была проблема с некоторыми видеокамерами при подключении через усб хаб. на 2.6.38 пока не тестировал
    если проблема с разрешением видеокамеры - скорее всего дело в дровах
     
  • 1.8, Аноним (-), 21:06, 06/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    Отлично. И два года не прошло с прошлой версии.
     
  • 1.11, ShturmN (ok), 21:11, 06/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    > Так как Skype 2.2 имеет статус бета-версии

    А релизов не будет? Что-то в последнее время сплошные бэтты штампуют....

     
  • 1.15, alltiptop (ok), 21:22, 06/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +1 +/
    Ура!
    Наконец будет выглядеть не как отшельник, а то нынче даже на gtk нормальный oxygen есть.
     
  • 1.22, x0r (??), 21:53, 06/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +2 +/
    конфиг apparmor для предыдущей версии
           /usr/bin/skype {
      #include <abstractions/base>
      #include <abstractions/fonts>
      #include <abstractions/audio>
      #include <abstractions/video>
      #include <abstractions/nameservice>
      #include <abstractions/nvidia>
      /etc/gai.conf r,
      /dev/video* mrw,
    /dev/snd/* mrw,
      /home/*/.ICEauthority r,
      /home/*/.Skype/** krw,
      /home/*/.Skype/ krw,
      /usr/share/skype/lang/* rm,
      /home/*/.Xauthority r,
      /home/*/.config/* kr,
      /home/*/.kde/share/config/kioslaverc r,
      /proc/*/cmdline r,
      /tmp/.ICE-unix/* w,
      /tmp/.X11-unix/* w,
      /usr/bin/skype mr,
      /usr/share/X11/* r,
      /usr/share/icons/** r,
      /usr/share/skype/** kr,
    /etc/ssl/certs/** r,
    /etc/xdg/Trolltech.conf kr,
    /home/*/.fontconfig/ r,
    /home/*/fonts/ r,
    /home/*/.fonts.conf r,
    /opt/libjpeg-turbo/** rm,
    /usr/share/locale-langpack/** rm,
    /usr/share/ca-certificates/** r,
    /dev/ r,
    /home/*/exchange** kmrw,
            }
     
     
  • 2.25, x0r (??), 22:01, 06/04/2011 [^] [ответить]    [к модератору]  
  • +/
      /home/*/.config/* kr,
    походу лишнее
     
  • 1.23, Stax (ok), 21:54, 06/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +2 +/
    Так, кто поставил, может сказать - они наконец сделали возможность отправки сообщений по Ctrl-enter и перевод строки по Enter? Терпеть не могу скайп за отсутствие этой совершенно базовой фичи, которая есть в любом другом IM клиенте. Они там вообще об удобстве пользователей не думают?
     
     
  • 2.29, vbv (ok), 22:32, 06/04/2011 [^] [ответить]    [к модератору]  
  • +1 +/
    Мне лично такой подход нравится.
    Все остальные клиенты перестраиваю, постоянно, под такой принцип отправки сообщений.
    А для написания "опер" люди давно придумали e-mail.
     
     
  • 3.38, Stax (ok), 05:06, 07/04/2011 [^] [ответить]     [к модератору]  
  • +/
    Вы знаете, это дело привычки Мне привычно, что по enter сообщение не будет от... весь текст скрыт [показать]
     
  • 1.26, Oles (?), 22:07, 06/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    Ещё бы виснуть перестал, гад.

     
     
  • 2.43, Карбофос (ok), 10:20, 07/04/2011 [^] [ответить]    [к модератору]  
  • +/
    запустите скайп из консоли, может он там выкинет инфу о причинах зависаний
     
  • 1.34, Arcturus (ok), 23:47, 06/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    В новом скайпе баннеры, надеюсь, не добавили, как в версиях для "других ОС"?
     
  • 1.37, StrangeAttractor (ok), 01:52, 07/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    > Расширены возможности интерфейса пользователя, добавлены некоторые элементы, ранее присутствующие только в версиях Skype-клиента для Windows и Mac OS X.

    А не добавили случайно возможность отключить значёк в трэе? Чтобы только ввиде стандартной кнопки на панели задач жил? Нужно чтобы полноценно на док (AWN например) перейти и не тянуть за собой legacy systray...

     
  • 1.44, cobold (ok), 12:18, 07/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    да, KDE тема теперь работает, а то раньше шрифты слишком уж мелкие были. В настройках куча всяких опций добавилась, тоже наверное кому-нибудь пригодятся. А из трея его убрать по прежнему нельзя, и при многократном запуске он по прежнему не ищет уже запущенный процесс, каждый раз новый запускает.
     
  • 1.45, cobold (ok), 12:19, 07/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    Ubuntu 10.04, 64 бит
     
  • 1.46, анон (?), 13:09, 07/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    теперь уже присоединиться к активной голосовой конференции можно?
     
     
  • 2.60, анонимус (??), 19:16, 09/04/2011 [^] [ответить]    [к модератору]  
  • +/
    облом. теперь тебе так же как и раньше надо доканывать конференцию, чтоб ее ведущий набрал твой номер и ты смог присоединиться. лучше б вообще ничего не делали, чем бросали такие полуфункцианалЪные подачки.
     
  • 1.48, Иван Иванович Иванов (?), 14:02, 07/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    В официальный блог Skype написал, что очень жаль и что очень не хватает 64 битной версии - комментарий удалили. Никакого хамства или критики в нём не было.

    Уроды.

     
     
  • 2.49, Иван Иванович Иванов (?), 14:09, 07/04/2011 [^] [ответить]    [к модератору]  
  • +/
    Голосуем за

    https://jira.skype.com/browse/SCL-231

    и

    http://www.petitiononline.com/skype64/

     
  • 1.51, Вова (?), 16:48, 07/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    под арм бы, ведь есть для миго скайп, наверняка просто пересобрать.
     
     
  • 2.52, User294 (ok), 17:32, 07/04/2011 [^] [ответить]    [к модератору]  
  • +/
    > под арм бы, ведь есть для миго скайп, наверняка просто пересобрать.

    А что, они уже сорцы дали? Или кто и как пересобирать эту блобятину будет? Тут как с флешом: есть под то подо что они изволят собрать. Ну в общем за вас решили из какого набора систем и платформ вам можно выбирать. А если вы вдруг хотите что-то сверх того - в пролете, как это всегда и бывает с проприетарью.

     
     
  • 3.54, Вова (?), 15:38, 08/04/2011 [^] [ответить]    [к модератору]  
  • +/
    риторика риторикой, эпизодические потребности - потребностями. Тоже не фанат проприетарного по.
     
  • 1.57, Aqueelone (?), 18:06, 08/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    ...все класно. Сижу на сим под Debian/Wheezy еще с варианта анстабле...
    ...но самых нужных фич таки нету.
    1. Переключение "отправка сообщений" с enter cntr+enter (приходится копаться в сырцах...).
    2. Работа в режиме демона. (Ну как бы реализуема.. но почему бы ей не быть сразу?)...


     
     
  • 2.58, grem (?), 09:46, 09/04/2011 [^] [ответить]    [к модератору]  
  • +/
    > 2. Работа в режиме демона. (Ну как бы реализуема.. но почему бы
    > ей не быть сразу?)...

    Kopete может отправлять и принимать сообщения через скайповский протокол как внешнее приложение, правда при этом сам скайп должен тоже быть запущенным и просто висеть хотя бы свёрнутым. Почему другие мультипротокольные клиенты не могут хотя бы это пока реализовать ?
    В случае аудио-видео вызова просто появляется скайповское окошко, а сообщения можно печатать в окошке kopete, группируя в одном окошке с вкладками сообщений из других протоколов.

     
     
  • 3.59, an (??), 18:19, 09/04/2011 [^] [ответить]    [к модератору]  
  • +/
    и пиджин может
     
  • 1.61, Аноним (-), 21:38, 10/04/2011 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    У меня на 2.2 и 2.1 видео с радужными полосами.

    А вот на 2.0 все нормально.

     
  • 1.62, FSA (??), 13:21, 16/12/2014 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    Ух ты, мой Gentoo Linux оказывается Debian, ибо skype выдаёт "Inconsistency detected by ld.so: dl-open.c: 678: _dl_open: Assertion '_dl_debug_initialize (0, args.nsid)->r_state == RT_CONSISTENT' failed!" и падает. Решается тем же способом.
     

     Добавить комментарий
    Имя:
    E-Mail:
    Заголовок:
    Текст:


      Закладки на сайте
      Проследить за страницей
    Created 1996-2018 by Maxim Chirkov  
    ДобавитьПоддержатьВебмастеруГИД  
    Hosting by Ihor